# HG changeset patch
# User Pooja Venkatesan <pooja@multicorewareinc.com>
# Date 1544770575 -19800
#      Fri Dec 14 12:26:15 2018 +0530
# Node ID 587431d49124b5e990883a919ec9eaf8b3708c34
# Parent  1d196adca6aad0d10c2a01429541971556534015
zone: Resend parameter set

diff -r 1d196adca6aa -r 587431d49124 source/encoder/api.cpp
--- a/source/encoder/api.cpp	Fri Dec 14 12:17:29 2018 +0530
+++ b/source/encoder/api.cpp	Fri Dec 14 12:26:15 2018 +0530
@@ -259,6 +259,9 @@
         }
         encoder->printReconfigureParams();
     }
+    /* Zones support modifying num of Refs. Requires determining level at each zone start*/
+    if (encoder->m_param->rc.zonefileCount)
+        determineLevel(*encoder->m_latestParam, encoder->m_vps);
     return ret;
 }
 
diff -r 1d196adca6aa -r 587431d49124 source/encoder/encoder.cpp
--- a/source/encoder/encoder.cpp	Fri Dec 14 12:17:29 2018 +0530
+++ b/source/encoder/encoder.cpp	Fri Dec 14 12:26:15 2018 +0530
@@ -1663,6 +1663,11 @@
         encParam->dynamicRd = param->dynamicRd;
         encParam->bEnableTransformSkip = param->bEnableTransformSkip;
         encParam->bEnableAMP = param->bEnableAMP;
+
+        /* Resignal changes in params in Parameter Sets */
+        m_sps.maxAMPDepth = (m_sps.bUseAMP = param->bEnableAMP && param->bEnableAMP) ? param->maxCUDepth : 0;
+        m_pps.bTransformSkipEnabled = param->bEnableTransformSkip ? 1 : 0;
+
     }
     encParam->forceFlush = param->forceFlush;
     /* To add: Loop Filter/deblocking controls, transform skip, signhide require PPS to be resent */
@@ -3275,6 +3280,12 @@
         p->bOpenGOP = 0;
         x265_log(p, X265_LOG_WARNING, "Zone encoding requires closed gop structure. Enabling closed GOP.\n");
     }
+
+    if (m_param->rc.zonefileCount && !p->bRepeatHeaders)
+    {
+        p->bRepeatHeaders = 1;
+        x265_log(p, X265_LOG_WARNING, "Turning on repeat - headers for zone encoding\n");
+    }
 }
 
 void Encoder::readAnalysisFile(x265_analysis_data* analysis, int curPoc, const x265_picture* picIn, int paramBytes)
